Internal-Mappers

# Class: WideImage_vendor_de77_TGA

Source Location: /vendor/de77/TGA.php

### Class Overview

External code for TGA

#### Author(s):

- de77

#### Version:

- 24.08.2010

### Methods

- bit5
- dec_bits
- dwordize
- imagecreatefromstring
- imagecreatefromtga
- rle_decode

### Class Details

[line 38]
External code for TGA

Adapted for use in WideImage. Code used with permission from the original author de77. http://de77.com/php/open-tga-with-php-imagecreatefromtga

#### Tags:

author: | de77
version: | 24.08.2010
license: | MIT

[ Top ]

### Class Methods

### static method bit5 [line 202]

`static void bit5( $x)`

#### Parameters:

| $x |

[ Top ]

### static method dec_bits [line 80]

`static void dec_bits( $byte, &$type, &$value)`

#### Parameters:

| $byte |
| &$type |
| &$value |

[ Top ]

### static method dwordize [line 194]

`static void dwordize( $str)`

#### Parameters:

| $str |

[ Top ]

### static method imagecreatefromstring [line 86]

`static void imagecreatefromstring( $bin_data)`

#### Parameters:

| $bin_data |

[ Top ]

### static method imagecreatefromtga [line 189]

`static void imagecreatefromtga( $filename)`

#### Parameters:

| $filename |

[ Top ]

### static method rle_decode [line 40]

`static void rle_decode( $data, $datalen)`

#### Parameters:

| $data |
| $datalen |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:43 +0100 by phpDocumentor 1.4.3